#
# spec file for package fzy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fzy
Version:        0.9
Release:        bp155.2.10
Summary:        A fuzzy text selector
License:        MIT
Group:          Productivity/Text/Utilities
Url:            https://github.com/jhawthorn/fzy
Source:         https://github.com/jhawthorn/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

%description
fzy can be used to filter any list: files, command history, processes,
hostnames, bookmarks, git commits, etc. It's designed to be used both as an
editor plugin and on the command line. Rather than clearing the screen, fzy
displays its interface directly below the current cursor position, scrolling
the screen if necessary.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make install PREFIX=%{buildroot}%{_prefix} %{?_smp_mflags}

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/fzy
%{_mandir}/man1/fzy.1%{ext_man}

%changelog
* Wed Feb 21 2018 mvetter@suse.com
- Create initial package for openSUSE in version 0.9
